Fork me on GitHub"

# skbio.stats.distance.DistanceMatrix.write

`DistanceMatrix.``write`(file, format='lsmat', **kwargs)

  Write an instance of `DistanceMatrix` to a file.

  This is a convenience method for `skbio.io.registry.write()`. For more information about the I/O system in scikit-bio, please see `skbio.io`.

  Supported file formats include:

  - `'lsmat'` (`skbio.io.format.lsmat`)

  Parameters:

  - file (openable (filepath, URL, filehandle, etc.)) – The location to write the given format into. Something that is understood by `skbio.io.util.open()`. Filehandles are not automatically closed, it is the responsibility of the caller.
  - format (str) – The format must be a registered format name with a writer for `DistanceMatrix`. Default is ‘lsmat’.
  - kwargs (dict, optional) – Keyword arguments passed to `skbio.io.registry.write()` and the file format writer.

  See also

  `read()`, `skbio.io.registry.write()`, `skbio.io.util.open()`, `skbio.io.format.lsmat()`